> ## Documentation Index
> Fetch the complete documentation index at: https://docs.localpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出交易

检索任意日期范围内的详细交易记录。可按类型或状态筛选，快速定位特定的付款、退款及其他活动，用于报表和分析。


## OpenAPI

````yaml openapi/zh/localpayment.json GET /api/transactions/list/filter
openapi: 3.1.0
info:
  version: '1.0'
  title: Localpayment
  contact:
    name: Support
    url: mailto:support@localpayment.com
servers:
  - url: https://api.stage.localpayment.com
    description: Stage
security:
  - token: []
paths:
  /api/transactions/list/filter:
    get:
      summary: 列出交易
      operationId: get-payment-transactions.
      parameters:
        - name: Authorization
          in: header
          description: >-
            用于身份验证的 Bearer
            访问令牌。该令牌可从[获取访问令牌](/zh/reference/get-token)或[刷新访问令牌](/zh/reference/refresh-token)endpoint
            获取。
          required: true
          schema:
            type: string
        - name: since
          in: query
          description: 开始日期，格式为 `yyyy-mm-ddThh:mm:ss.SSS`。
          required: true
          schema:
            type: string
        - name: until
          in: query
          description: 结束日期，格式为 `yyyy-mm-ddThh:mm:ss.SSS`。
          required: true
          schema:
            type: string
        - name: page
          in: query
          description: 您要查询的页码。（默认为 `1`）。
          schema:
            type: string
        - name: size
          in: query
          description: 每页交易数量（默认 `10`，最大 `50`）。
          schema:
            type: string
        - name: transactionType
          in: query
          description: 您要查询的[交易类型](/zh/reference/transaction-status-error-codes)。
          schema:
            type: string
        - name: status
          in: query
          description: 您要查询的[状态](/zh/reference/transaction-status-error-codes)。
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  totalElements:
                    type: integer
                    description: 响应中的交易总数。
                  totalPages:
                    type: integer
                    description: 总页数。
                  page:
                    type: integer
                    description: 当前页。
                  size:
                    type: integer
                    description: 每页交易数量。
                  details:
                    type: array
                    description: 交易详情。
                    items:
                      type: object
                      properties:
                        transactionType:
                          type: string
                          enum:
                            - PayIn
                            - PayOut
                            - CurrencyExchange
                            - Credit
                            - Debit
                            - Internal Transfer
                            - Refund
                            - Recurring Fee
                            - Wire out
                            - Subscriptions
                            - Chargeback
                            - Expenses
                            - Recall
                            - Return
                            - WireIn
                          description: >-
                            [交易类型](/zh/reference/transaction-status-error-codes)。
                        externalId:
                          type: string
                          description: 系统生成的唯一标识符，用于跟踪交易（包含字母、数字和连字符）。我们建议使用 UUID4 以确保唯一性。
                        internalId:
                          type: string
                          description: Localpayment交易标识符。
                        paymentMethod:
                          type: object
                          properties:
                            type:
                              type: string
                              description: >-
                                `payinPaymentMethods.paymentMethodType`
                                [属性](/zh/reference/get-available-payment-methods)中提供的支付方式。
                            code:
                              type: string
                              description: >-
                                `payinPaymentMethods.code`
                                [属性](/zh/reference/get-available-payment-methods)中提供的支付方式代码。
                            flow:
                              type: string
                              description: >-
                                定义支付数据的收集方式：`DIRECT` （在 API
                                请求中）或`REDIRECT`（外部形式）。仅`DIRECT`目前已支持。
                          x-examples:
                            Example 1:
                              type: BankTransfer
                              code: '1005'
                              flow: DIRECT
                        country:
                          type: string
                          description: '[国家代码](/zh/reference/country-codes)'
                        currency:
                          type: string
                          enum:
                            - ARS
                            - BOB
                            - BRL
                            - CLP
                            - COP
                            - CRC
                            - DOP
                            - USD
                            - GTQ
                            - MXN
                            - PYG
                            - PEN
                            - UYU
                          description: '[货币代码](/zh/reference/currency-codes)。'
                        amount:
                          type: number
                          description: 交易金额。
                        accountNumber:
                          type: string
                          description: Localpayment账号。
                        confirmed:
                          type: object
                          properties:
                            currency:
                              type: string
                              enum:
                                - ARS
                                - BOB
                                - BRL
                                - CLP
                                - COP
                                - CRC
                                - DOP
                                - USD
                                - GTQ
                                - MXN
                                - PYG
                                - PEN
                                - UYU
                              description: '[货币代码](/zh/reference/currency-codes)。'
                            fxQuote:
                              type: number
                              description: 货币兑换报价。
                            amount:
                              type: number
                              description: 已确认金额
                        payment:
                          type: object
                          properties:
                            currency:
                              type: string
                              enum:
                                - ARS
                                - BOB
                                - BRL
                                - CLP
                                - COP
                                - CRC
                                - DOP
                                - USD
                                - GTQ
                                - MXN
                                - PYG
                                - PEN
                                - UYU
                              description: '[货币代码](/zh/reference/currency-codes)。'
                            fxQuote:
                              type: number
                              description: 货币兑换报价。
                            financingFee:
                              type: number
                              description: 融资费用。
                            amount:
                              type: number
                              description: 付款金额。
                        localTaxes:
                          type: array
                          description: 地方税收信息。
                          items:
                            type: object
                        withHoldings:
                          type: array
                          description: 预扣税信息。
                          items:
                            type: object
                        fees:
                          type: object
                          description: 有关所收取费用的详细信息。
                          properties:
                            description:
                              type: string
                              description: 费用说明。
                            currency:
                              type: string
                              enum:
                                - ARS
                                - BOB
                                - BRL
                                - CLP
                                - COP
                                - CRC
                                - DOP
                                - USD
                                - GTQ
                                - MXN
                                - PYG
                                - PEN
                                - UYU
                              description: '[货币代码](/zh/reference/currency-codes)。'
                            fxSource:
                              type: number
                              description: 货币兑换来源。
                            fxQuote:
                              type: number
                              description: 货币兑换报价。
                            amount:
                              type: number
                              description: 费用金额。
                            account:
                              type: string
                        status:
                          type: object
                          title: 状态
                          description: 操作状态。
                          properties:
                            code:
                              type: string
                              description: >-
                                [状态码](/zh/reference/transaction-status-error-codes)。
                            description:
                              type: string
                              description: >-
                                [状态描述](/zh/reference/transaction-status-error-codes)。
                            detail:
                              type: string
                              description: 更多状态信息。
                        ticket:
                          type: 'null'
                        qr:
                          type: 'null'
                        beneficiary:
                          type: object
                          description: 受益人信息。
                          properties:
                            type:
                              type: string
                              enum:
                                - COMPANY
                                - INDIVIDUAL
                              description: 受益人类型。
                            name:
                              type: string
                              description: 受益人姓名。
                            document:
                              type: object
                              description: 受益人身份证明文件信息。
                              properties:
                                type:
                                  type: string
                                  description: >-
                                    根据签发国家/地区的不同，[身份证明文件类型](/zh/reference/identity-document-types)可能包括国民身份证号码、社会保障号码或驾驶执照。
                                  examples:
                                    - RUC
                                id:
                                  type: string
                                  description: 身份证件号码（通常为数字）。该号码必须符合特定证件类型的有效规定。
                                  examples:
                                    - '1791234561009'
                              examples:
                                - type: RUC
                                  id: '1791234561009'
                            userReference:
                              type: string
                              description: 受益人在您平台上的用户名或 ID。
                            email:
                              type: string
                              description: 受益人电子邮件地址。
                            phone:
                              type: object
                              description: 受益人电话信息。
                              properties:
                                countryCode:
                                  type: string
                                  description: 电话国家/地区代码。
                                areaCode:
                                  type: string
                                  description: 电话国家/地区区号。
                                number:
                                  type: string
                                  description: 电话号码。
                            birthDate:
                              type: string
                              description: 受益人的出生日期 `yyyy-mm-dd` 格式。
                            nationality:
                              type: string
                              description: 受益人国籍。
                            address:
                              type: object
                              description: 受益人地址信息。
                              properties:
                                street:
                                  type: string
                                  description: 街道名称。
                                  examples:
                                    - Independencia
                                number:
                                  type: string
                                  description: 街道号码。
                                  examples:
                                    - '123'
                                city:
                                  type: string
                                  description: 城市。
                                  examples:
                                    - Cordoba
                                state:
                                  type: string
                                  description: 州/省。
                                  examples:
                                    - Cordoba
                                country:
                                  type: string
                                  description: 地址所在国家/地区。
                                  examples:
                                    - Argentina
                                zipCode:
                                  type: string
                                  description: 邮政编码。
                                  examples:
                                    - X5000IUO
                                comment:
                                  type: string
                                  description: 其他地址信息。
                                  examples:
                                    - Sucursal 123
                              examples:
                                - street: Independencia
                                  number: '123'
                                  city: Cordoba
                                  state: Cordoba
                                  country: ARG
                                  zipCode: X5000IUO
                                  comment: Sucursal 123
                            bank:
                              type: object
                              description: 受益人银行信息。
                              properties:
                                name:
                                  type: string
                                  description: >-
                                    通过 `Get bank code`
                                    [服务](/zh/reference/get-bank-codes)获取的银行名称。
                                code:
                                  type: string
                                  description: >-
                                    通过 `Get bank code`
                                    [服务](/zh/reference/get-bank-codes)获取的银行名称。
                                account:
                                  type: object
                                  title: bankAccount
                                  description: 银行账户信息。
                                  properties:
                                    number:
                                      type: string
                                      description: 银行账号。
                                    type:
                                      type: string
                                      enum:
                                        - C
                                        - S
                                        - M
                                        - V
                                        - R
                                        - D
                                        - P
                                      description: "[银行账户类型](/zh/reference/validate-bank-account)。\r\n\r\n* `C`：支票账户\r\n* `S`：储蓄账户\r\n* `M`：主账户\r\n* `V`：VISA 账户\r\n* `R`：RUT\r\n* `D`：借记\r\n* `P`：手机"
                              x-examples:
                                Example 1:
                                  bank:
                                    name: ARG TEST
                                    code: '007'
                                    account:
                                      type: C
                                      number: '1234567891234567891234'
                          x-examples:
                            Example 1:
                              beneficiary:
                                type: COMPANY
                                name: ITAU ARG
                                document:
                                  type: CUIT
                                  id: '20907920276'
                                userReference: Lorem
                                email: aldana@mail.com
                                phone:
                                  countryCode: countryCode
                                  areaCode: areaCode
                                  number: phoneNumber
                                birthDate: '2021-11-08'
                                nationality: beneficiary nationality
                                address:
                                  street: Beneficiary adress
                                  number: '234'
                                  city: City
                                  state: Villa Rosa
                                  country: Country
                                  zipCode: '1411'
                                  comment: TEST
                                bank:
                                  name: ARG TEST
                                  code: '007'
                                  account:
                                    type: C
                                    number: '1234567891234567891234'
                        merchant:
                          type: object
                          description: 商家信息。
                          properties:
                            type:
                              type: string
                              description: 商家类型。
                            name:
                              type: string
                              description: 商家的名称。
                            lastName:
                              type: string
                              description: 商家的姓氏。
                            document:
                              type: object
                              description: 商户身份证明文件信息。
                              properties:
                                type:
                                  type: string
                                  description: >-
                                    根据签发国家/地区的不同，[身份证明文件类型](/zh/reference/identity-document-types)可能包括国民身份证号码、社会保障号码或驾驶执照。
                                  examples:
                                    - RUC
                                id:
                                  type: string
                                  description: 身份证件号码（通常为数字）。该号码必须符合特定证件类型的有效规定。
                                  examples:
                                    - '1791234561009'
                              examples:
                                - type: RUC
                                  id: '1791234561009'
                            userReference:
                              type: string
                              description: 商家在您平台上的用户名或 ID。
                            email:
                              type: string
                              description: 商家邮箱。
                            phone:
                              type: object
                              description: 商家电话号码。
                              properties:
                                countryCode:
                                  type: string
                                  description: 电话国家/地区代码。
                                areaCode:
                                  type: string
                                  description: 电话国家/地区区号。
                                number:
                                  type: string
                                  description: 电话号码。
                            birthDate:
                              type: string
                              description: 商家的出生日期，格式为 `yyyy-mm-dd`。
                            nationality:
                              type: string
                              description: 商家的国籍。
                            address:
                              type: object
                              description: 商家地址。
                              properties:
                                street:
                                  type: string
                                  description: 街道名称。
                                  examples:
                                    - Independencia
                                number:
                                  type: string
                                  description: 街道号码。
                                  examples:
                                    - '123'
                                city:
                                  type: string
                                  description: 城市。
                                  examples:
                                    - Cordoba
                                state:
                                  type: string
                                  description: 州/省。
                                  examples:
                                    - Cordoba
                                country:
                                  type: string
                                  description: 地址所在国家/地区。
                                  examples:
                                    - Argentina
                                zipCode:
                                  type: string
                                  description: 邮政编码。
                                  examples:
                                    - X5000IUO
                                comment:
                                  type: string
                                  description: 其他地址信息。
                                  examples:
                                    - Sucursal 123
                              examples:
                                - street: Independencia
                                  number: '123'
                                  city: Cordoba
                                  state: Cordoba
                                  country: ARG
                                  zipCode: X5000IUO
                                  comment: Sucursal 123
                          x-examples:
                            Example 1:
                              merchant:
                                type: COMPANY
                                name: Merchant Name
                                lastName: Merchant LastName
                                document:
                                  type: Type Document
                                  id: ID Document
                                userReference: additional information
                                email: email@Merchant.address
                                phone:
                                  countryCode: '55'
                                  areaCode: '55'
                                  number: '66666666'
                                birthDate: '2001-01-01'
                                nationality: Merchant Nacionality
                                address:
                                  street: Av Merchant Address
                                  number: '1234'
                                  city: City Name
                                  state: State Name
                                  country: Country Name
                                  zipCode: Zip Code
                                  comment: Additional address information
                        payer:
                          type: object
                          description: 付款人信息。
                          properties:
                            type:
                              type: string
                              enum:
                                - COMPANY
                                - INDIVIDUAL
                              description: 付款人类型。
                            name:
                              type: string
                              description: 付款人姓名。
                            lastName:
                              type: string
                              description: 付款人姓氏。
                            document:
                              type: object
                              description: 付款人身份证明文件信息。
                              properties:
                                type:
                                  type: string
                                  description: >-
                                    根据签发国家/地区的不同，[身份证明文件类型](/zh/reference/identity-document-types)可能包括国民身份证号码、社会保障号码或驾驶执照。
                                  examples:
                                    - RUC
                                id:
                                  type: string
                                  description: 身份证件号码（通常为数字）。该号码必须符合特定证件类型的有效规定。
                                  examples:
                                    - '1791234561009'
                              examples:
                                - type: RUC
                                  id: '1791234561009'
                            userReference:
                              type: string
                              description: 付款人在您平台上的用户名或 ID。
                            phone:
                              type: object
                              description: 付款人电话号码。
                              properties:
                                countryCode:
                                  type: string
                                  description: 电话国家/地区代码。
                                areaCode:
                                  type: string
                                  description: 电话国家/地区区号。
                                number:
                                  type: string
                                  description: 电话号码。
                            birthDate:
                              type: string
                              description: 付款人的出生日期，格式为 `yyyy-mm-dd`。
                            nationality:
                              type: string
                              description: 付款人国籍。
                            address:
                              type: object
                              description: 付款人的地址。
                              properties:
                                street:
                                  type: string
                                  description: 街道名称。
                                  examples:
                                    - Independencia
                                number:
                                  type: string
                                  description: 街道号码。
                                  examples:
                                    - '123'
                                city:
                                  type: string
                                  description: 城市。
                                  examples:
                                    - Cordoba
                                state:
                                  type: string
                                  description: 州/省。
                                  examples:
                                    - Cordoba
                                country:
                                  type: string
                                  description: 地址所在国家/地区。
                                  examples:
                                    - Argentina
                                zipCode:
                                  type: string
                                  description: 邮政编码。
                                  examples:
                                    - X5000IUO
                                comment:
                                  type: string
                                  description: 其他地址信息。
                                  examples:
                                    - Sucursal 123
                              examples:
                                - street: Independencia
                                  number: '123'
                                  city: Cordoba
                                  state: Cordoba
                                  country: ARG
                                  zipCode: X5000IUO
                                  comment: Sucursal 123
                          x-examples:
                            Example 1:
                              beneficiary:
                                type: COMPANY
                                name: ITAU ARG
                                document:
                                  type: CUIT
                                  id: '20907920276'
                                userReference: Lorem
                                email: aldana@mail.com
                                phone:
                                  countryCode: countryCode
                                  areaCode: areaCode
                                  number: phoneNumber
                                birthDate: '2021-11-08'
                                nationality: beneficiary nationality
                                address:
                                  street: Beneficiary adress
                                  number: '234'
                                  city: City
                                  state: Villa Rosa
                                  country: Country
                                  zipCode: '1411'
                                  comment: TEST
                                bank:
                                  name: ARG TEST
                                  code: '007'
                                  account:
                                    type: C
                                    number: '1234567891234567891234'
                        intermediaries:
                          type: array
                          description: 中介机构
                          items:
                            type: object
                        wireInstructions:
                          type: 'null'
                          description: 电汇指示
                        date:
                          type: object
                          properties:
                            creationDate:
                              type: string
                              description: 创建交易日期。
                            processedDate:
                              type: string
                              description: 交易处理日期。
                        card:
                          type: object
                          description: 卡片信息。
                          properties:
                            token:
                              type: string
                              description: 包含卡片信息的令牌。
                            bin:
                              type: string
                              description: 银行识别号码。
                            brand:
                              type: string
                              description: 卡支付网络。
                            Country:
                              type: string
                              enum:
                                - AR
                                - BO
                                - BR
                                - CL
                                - CO
                                - CR
                                - DO
                                - EC
                                - SV
                                - GT
                                - HN
                                - MX
                                - PA
                                - PY
                                - PE
                                - UY
                              title: 国家/地区
                              description: >-
                                [国家](/zh/reference/country-codes)。ISO 3166-1
                                alpha-2。
                            name:
                              type: string
                              description: 信用卡持有人姓名。
                            last4:
                              type: string
                              description: 卡号后四位。
                            expirationYear:
                              type: integer
                              description: 到期年份，采用 "yyyy" 格式。
                            expirationMonth:
                              type: integer
                              description: 到期月份，采用 "mm" 格式。
                            Installments:
                              type: integer
                              description: 分期付款。
                          x-examples:
                            Example 1:
                              card:
                                token: Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=
                                bin: '424242'
                                brand: VISA
                                country: GB
                                name: MANUEL CEDRO
                                last4: '4242'
                                expirationYear: 2025
                                expirationMonth: 11
                                installments: 0
                        errors:
                          type: array
                          description: 错误列表。
                          items:
                            type: object
                required:
                  - totalElements
                  - totalPages
                  - page
                  - size
                  - details
                x-examples:
                  Example 1:
                    totalElements: 701
                    totalPages: 71
                    page: 1
                    size: 10
                    details:
                      - transactionType: PayIn
                        externalId: 8a581506-66a9-47bb-8dd6-093cdb4c4037
                        internalId: 86dfa0db-2d8c-4e74-aaa7-c0de7a3f0916
                        paymentMethod:
                          type: CreditCard
                          code: '6001'
                          flow: DIRECT
                        country: PER
                        currency: PEN
                        amount: 100
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: PEN
                          fxQuote: 1
                          amount: 100
                        payment:
                          currency: PEN
                          fxQuote: 1
                          financingFee: 0
                          amount: 100
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: PEN
                          fxSource: 3.74489878
                          fxQuote: 1
                          amount: 0
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: peru
                          lastName: peru
                          document:
                            type: dni
                            id: '70182175'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Vuelta de Obligado
                            number: '2850'
                            city: DF
                            state: DF
                            country: per
                            zipCode: '27000000'
                            comment: ''
                          birthdate: '2000-01-01'
                          nationality: Argentinian
                          userReference: nuvei.peru
                        payer:
                          type: INDIVIDUAL
                          name: peru
                          lastName: peru
                          document:
                            type: dni
                            id: '70182175'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '351'
                            number: '2102892'
                          address:
                            street: Vuelta de Obligado
                            number: '2850'
                            city: DF
                            state: DF
                            country: per
                            zipCode: '27000000'
                            comment: ''
                          birthdate: 17/09/1958
                          nationality: Argentina
                          userReference: nuvei.peru
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T00:00:00.330'
                          processedDate: '2024-12-01T00:00:15.134'
                        card:
                          token: 6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=
                          bin: '555034'
                          brand: MASTERCARD
                          country: ZA
                          name: Nuvei peru
                          last4: '2224'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 1
                        errors: []
                      - transactionType: PayIn
                        externalId: 10c3da13-2de1-4869-8677-11bd356ec77b
                        internalId: 75db6f6f-ed76-4d6c-ad89-5b6e5d2f9eca
                        paymentMethod:
                          type: CreditCard
                          code: '1600'
                          flow: DIRECT
                        country: MEX
                        currency: MXN
                        amount: 120
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: MXN
                          fxQuote: 1
                          amount: 120
                        payment:
                          currency: MXN
                          fxQuote: 1
                          financingFee: 0
                          amount: 120
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: MXN
                          fxSource: 20.38075
                          fxQuote: 1
                          amount: 1.6
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: Jane
                          lastName: Doe
                          document:
                            type: DNI
                            id: '123456789'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Charruas
                            number: '938'
                            city: Hurlingham
                            state: state
                            country: ARG
                            zipCode: '1688'
                            comment: portero 801
                          birthdate: '1985-10-30'
                          nationality: Argentinian
                          userReference: xyz123
                        payer:
                          type: INDIVIDUAL
                          name: Manuel
                          lastName: Cedro
                          document:
                            type: RFC
                            id: MAL180222MS6
                          email: jane.doe@example.com
                          phone:
                            countryCode: '1'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Siempre viva
                            number: '1234'
                            city: Temperley
                            state: state
                            country: ARG
                            zipCode: '1686'
                            comment: sin comentarios
                          birthdate: 01/01/1990
                          nationality: Ecuatoriano
                          userReference: identificador del pagador
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T00:00:18.580'
                          processedDate: '2024-12-01T00:00:22.313'
                        card:
                          token: Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=
                          bin: '424242'
                          brand: VISA
                          country: GB
                          name: MANUEL CEDRO
                          last4: '4242'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 0
                        errors: []
                      - transactionType: PayIn
                        externalId: 863fd757-5998-4af8-a593-af99483aad02
                        internalId: 66781c69-e158-46fc-bbcb-113eebccb5d0
                        paymentMethod:
                          type: CreditCard
                          code: '6001'
                          flow: DIRECT
                        country: PER
                        currency: PEN
                        amount: 100
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: PEN
                          fxQuote: 1
                          amount: 100
                        payment:
                          currency: PEN
                          fxQuote: 1
                          financingFee: 0
                          amount: 100
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: PEN
                          fxSource: 3.74489878
                          fxQuote: 1
                          amount: 0
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: peru
                          lastName: peru
                          document:
                            type: dni
                            id: '70182175'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Vuelta de Obligado
                            number: '2850'
                            city: DF
                            state: DF
                            country: per
                            zipCode: '27000000'
                            comment: ''
                          birthdate: '2000-01-01'
                          nationality: Argentinian
                          userReference: nuvei.peru
                        payer:
                          type: INDIVIDUAL
                          name: peru
                          lastName: peru
                          document:
                            type: dni
                            id: '70182175'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '351'
                            number: '2102892'
                          address:
                            street: Vuelta de Obligado
                            number: '2850'
                            city: DF
                            state: DF
                            country: per
                            zipCode: '27000000'
                            comment: ''
                          birthdate: 17/09/1958
                          nationality: Argentina
                          userReference: nuvei.peru
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T01:00:00.418'
                          processedDate: '2024-12-01T01:00:15.834'
                        card:
                          token: 6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=
                          bin: '555034'
                          brand: MASTERCARD
                          country: ZA
                          name: Nuvei peru
                          last4: '2224'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 1
                        errors: []
                      - transactionType: PayIn
                        externalId: e26a6e3c-c85f-4991-90d4-8ce4c145d4cd
                        internalId: 7d8f3dad-1cae-481e-b883-ae8514fbbd73
                        paymentMethod:
                          type: CreditCard
                          code: '1600'
                          flow: DIRECT
                        country: MEX
                        currency: MXN
                        amount: 120
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: MXN
                          fxQuote: 1
                          amount: 120
                        payment:
                          currency: MXN
                          fxQuote: 1
                          financingFee: 0
                          amount: 120
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: MXN
                          fxSource: 20.38075
                          fxQuote: 1
                          amount: 1.6
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: Jane
                          lastName: Doe
                          document:
                            type: DNI
                            id: '123456789'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Charruas
                            number: '938'
                            city: Hurlingham
                            state: state
                            country: ARG
                            zipCode: '1688'
                            comment: portero 801
                          birthdate: '1985-10-30'
                          nationality: Argentinian
                          userReference: xyz123
                        payer:
                          type: INDIVIDUAL
                          name: Manuel
                          lastName: Cedro
                          document:
                            type: RFC
                            id: MAL180222MS6
                          email: jane.doe@example.com
                          phone:
                            countryCode: '1'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Siempre viva
                            number: '1234'
                            city: Temperley
                            state: state
                            country: ARG
                            zipCode: '1686'
                            comment: sin comentarios
                          birthdate: 01/01/1990
                          nationality: Ecuatoriano
                          userReference: identificador del pagador
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T01:00:18.859'
                          processedDate: '2024-12-01T01:00:23.374'
                        card:
                          token: Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=
                          bin: '424242'
                          brand: VISA
                          country: GB
                          name: MANUEL CEDRO
                          last4: '4242'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 0
                        errors: []
                      - transactionType: PayIn
                        externalId: a0d248b6-05c6-46f1-b5a5-a4bb99ad2360
                        internalId: 960ba70b-538f-4998-a8f5-656cbd1658ac
                        paymentMethod:
                          type: CreditCard
                          code: '1600'
                          flow: DIRECT
                        country: MEX
                        currency: MXN
                        amount: 80
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: MXN
                          fxQuote: 1
                          amount: 80
                        payment:
                          currency: MXN
                          fxQuote: 1
                          financingFee: 0
                          amount: 80
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: MXN
                          fxSource: 20.38075
                          fxQuote: 1
                          amount: 1.4
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: Jane
                          lastName: Doe
                          document:
                            type: DNI
                            id: '123456789'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Charruas
                            number: '938'
                            city: Hurlingham
                            state: state
                            country: ARG
                            zipCode: '1688'
                            comment: portero 801
                          birthdate: '1985-10-30'
                          nationality: Argentinian
                          userReference: xyz123
                        payer:
                          type: INDIVIDUAL
                          name: Manuel
                          lastName: Cedro
                          document:
                            type: RFC
                            id: MAL180222MS6
                          email: jane.doe@example.com
                          phone:
                            countryCode: '1'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Siempre viva
                            number: '1234'
                            city: Temperley
                            state: state
                            country: ARG
                            zipCode: '1686'
                            comment: sin comentarios
                          birthdate: 01/01/1990
                          nationality: Ecuatoriano
                          userReference: identificador del pagador
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T01:00:25.592'
                          processedDate: '2024-12-01T01:00:30.084'
                        card:
                          token: ZOh4afARAq16QJmEesJy5ntpCdT0GxawCssFSNQlDAw=
                          bin: '424242'
                          brand: VISA
                          country: GB
                          name: MANUEL CEDRO
                          last4: '4242'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 0
                        errors: []
                      - transactionType: PayIn
                        externalId: b0cb420b-3fda-427d-8eea-bb6cc5c51d1b
                        internalId: bcbb2af0-95b1-4dc8-a800-0041b08b8354
                        paymentMethod:
                          type: CreditCard
                          code: '6001'
                          flow: DIRECT
                        country: PER
                        currency: PEN
                        amount: 100
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: PEN
                          fxQuote: 1
                          amount: 100
                        payment:
                          currency: PEN
                          fxQuote: 1
                          financingFee: 0
                          amount: 100
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: PEN
                          fxSource: 3.74489878
                          fxQuote: 1
                          amount: 0
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: peru
                          lastName: peru
                          document:
                            type: dni
                            id: '70182175'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Vuelta de Obligado
                            number: '2850'
                            city: DF
                            state: DF
                            country: per
                            zipCode: '27000000'
                            comment: ''
                          birthdate: '2000-01-01'
                          nationality: Argentinian
                          userReference: nuvei.peru
                        payer:
                          type: INDIVIDUAL
                          name: peru
                          lastName: peru
                          document:
                            type: dni
                            id: '70182175'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '351'
                            number: '2102892'
                          address:
                            street: Vuelta de Obligado
                            number: '2850'
                            city: DF
                            state: DF
                            country: per
                            zipCode: '27000000'
                            comment: ''
                          birthdate: 17/09/1958
                          nationality: Argentina
                          userReference: nuvei.peru
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T02:00:20.179'
                          processedDate: '2024-12-01T02:00:25.927'
                        card:
                          token: 6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=
                          bin: '555034'
                          brand: MASTERCARD
                          country: ZA
                          name: Nuvei peru
                          last4: '2224'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 1
                        errors: []
                      - transactionType: PayIn
                        externalId: 01906abb-32c1-4d3d-86e6-f3c6efc72d85
                        internalId: 1e6057df-393d-4e78-80a7-35a028d4c447
                        paymentMethod:
                          type: CreditCard
                          code: '1600'
                          flow: DIRECT
                        country: MEX
                        currency: MXN
                        amount: 120
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: MXN
                          fxQuote: 1
                          amount: 120
                        payment:
                          currency: MXN
                          fxQuote: 1
                          financingFee: 0
                          amount: 120
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: MXN
                          fxSource: 20.38075
                          fxQuote: 1
                          amount: 1.6
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: Jane
                          lastName: Doe
                          document:
                            type: DNI
                            id: '123456789'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Charruas
                            number: '938'
                            city: Hurlingham
                            state: state
                            country: ARG
                            zipCode: '1688'
                            comment: portero 801
                          birthdate: '1985-10-30'
                          nationality: Argentinian
                          userReference: xyz123
                        payer:
                          type: INDIVIDUAL
                          name: Manuel
                          lastName: Cedro
                          document:
                            type: RFC
                            id: MAL180222MS6
                          email: jane.doe@example.com
                          phone:
                            countryCode: '1'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Siempre viva
                            number: '1234'
                            city: Temperley
                            state: state
                            country: ARG
                            zipCode: '1686'
                            comment: sin comentarios
                          birthdate: 01/01/1990
                          nationality: Ecuatoriano
                          userReference: identificador del pagador
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T02:00:29.250'
                          processedDate: '2024-12-01T02:00:33.993'
                        card:
                          token: Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=
                          bin: '424242'
                          brand: VISA
                          country: GB
                          name: MANUEL CEDRO
                          last4: '4242'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 0
                        errors: []
                      - transactionType: PayIn
                        externalId: 7ae93149-eb54-4a5f-902b-b3d6644709ac
                        internalId: d6b3a4ee-d06e-4c25-b78c-6037d4991107
                        paymentMethod:
                          type: CreditCard
                          code: '1600'
                          flow: DIRECT
                        country: MEX
                        currency: MXN
                        amount: 80
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: MXN
                          fxQuote: 1
                          amount: 80
                        payment:
                          currency: MXN
                          fxQuote: 1
                          financingFee: 0
                          amount: 80
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: MXN
                          fxSource: 20.38075
                          fxQuote: 1
                          amount: 1.4
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: Jane
                          lastName: Doe
                          document:
                            type: DNI
                            id: '123456789'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Charruas
                            number: '938'
                            city: Hurlingham
                            state: state
                            country: ARG
                            zipCode: '1688'
                            comment: portero 801
                          birthdate: '1985-10-30'
                          nationality: Argentinian
                          userReference: xyz123
                        payer:
                          type: INDIVIDUAL
                          name: Manuel
                          lastName: Cedro
                          document:
                            type: RFC
                            id: MAL180222MS6
                          email: jane.doe@example.com
                          phone:
                            countryCode: '1'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Siempre viva
                            number: '1234'
                            city: Temperley
                            state: state
                            country: ARG
                            zipCode: '1686'
                            comment: sin comentarios
                          birthdate: 01/01/1990
                          nationality: Ecuatoriano
                          userReference: identificador del pagador
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T02:00:35.997'
                          processedDate: '2024-12-01T02:00:40.279'
                        card:
                          token: ZOh4afARAq16QJmEesJy5ntpCdT0GxawCssFSNQlDAw=
                          bin: '424242'
                          brand: VISA
                          country: GB
                          name: MANUEL CEDRO
                          last4: '4242'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 0
                        errors: []
                      - transactionType: PayIn
                        externalId: 5da20352-3b14-4b51-8418-b7e71fddb103
                        internalId: 489cca99-1fd0-4aeb-b1df-2a55a7a01d47
                        paymentMethod:
                          type: CreditCard
                          code: '6001'
                          flow: DIRECT
                        country: PER
                        currency: PEN
                        amount: 100
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: PEN
                          fxQuote: 1
                          amount: 100
                        payment:
                          currency: PEN
                          fxQuote: 1
                          financingFee: 0
                          amount: 100
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: PEN
                          fxSource: 3.74489834
                          fxQuote: 1
                          amount: 0
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: peru
                          lastName: peru
                          document:
                            type: dni
                            id: '70182175'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Vuelta de Obligado
                            number: '2850'
                            city: DF
                            state: DF
                            country: per
                            zipCode: '27000000'
                            comment: ''
                          birthdate: '2000-01-01'
                          nationality: Argentinian
                          userReference: nuvei.peru
                        payer:
                          type: INDIVIDUAL
                          name: peru
                          lastName: peru
                          document:
                            type: dni
                            id: '70182175'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '351'
                            number: '2102892'
                          address:
                            street: Vuelta de Obligado
                            number: '2850'
                            city: DF
                            state: DF
                            country: per
                            zipCode: '27000000'
                            comment: ''
                          birthdate: 17/09/1958
                          nationality: Argentina
                          userReference: nuvei.peru
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T03:00:03.891'
                          processedDate: '2024-12-01T03:00:17.541'
                        card:
                          token: 6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=
                          bin: '555034'
                          brand: MASTERCARD
                          country: ZA
                          name: Nuvei peru
                          last4: '2224'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 1
                        errors: []
                      - transactionType: PayIn
                        externalId: 3973d8c0-e143-4a40-950f-d91ee2b69c48
                        internalId: 1f922a9f-3144-4a08-a56d-c4a12541728e
                        paymentMethod:
                          type: CreditCard
                          code: '1600'
                          flow: DIRECT
                        country: MEX
                        currency: MXN
                        amount: 120
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: MXN
                          fxQuote: 1
                          amount: 120
                        payment:
                          currency: MXN
                          fxQuote: 1
                          financingFee: 0
                          amount: 120
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: MXN
                          fxSource: 20.375504
                          fxQuote: 1
                          amount: 1.6
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: Jane
                          lastName: Doe
                          document:
                            type: DNI
                            id: '123456789'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Charruas
                            number: '938'
                            city: Hurlingham
                            state: state
                            country: ARG
                            zipCode: '1688'
                            comment: portero 801
                          birthdate: '1985-10-30'
                          nationality: Argentinian
                          userReference: xyz123
                        payer:
                          type: INDIVIDUAL
                          name: Manuel
                          lastName: Cedro
                          document:
                            type: RFC
                            id: MAL180222MS6
                          email: jane.doe@example.com
                          phone:
                            countryCode: '1'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Siempre viva
                            number: '1234'
                            city: Temperley
                            state: state
                            country: ARG
                            zipCode: '1686'
                            comment: sin comentarios
                          birthdate: 01/01/1990
                          nationality: Ecuatoriano
                          userReference: identificador del pagador
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T03:00:20.831'
                          processedDate: '2024-12-01T03:00:25.618'
                        card:
                          token: Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=
                          bin: '424242'
                          brand: VISA
                          country: GB
                          name: MANUEL CEDRO
                          last4: '4242'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 0
                        errors: []
              examples:
                Compleat response:
                  value:
                    totalElements: 701
                    totalPages: 71
                    page: 1
                    size: 10
                    details:
                      - transactionType: PayIn
                        externalId: 8a581506-66a9-47bb-8dd6-093cdb4c4037
                        internalId: 86dfa0db-2d8c-4e74-aaa7-c0de7a3f0916
                        paymentMethod:
                          type: CreditCard
                          code: '6001'
                          flow: DIRECT
                        country: PER
                        currency: PEN
                        amount: 100
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: PEN
                          fxQuote: 1
                          amount: 100
                        payment:
                          currency: PEN
                          fxQuote: 1
                          financingFee: 0
                          amount: 100
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: PEN
                          fxSource: 3.74489878
                          fxQuote: 1
                          amount: 0
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: peru
                          lastName: peru
                          document:
                            type: dni
                            id: '70182175'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Vuelta de Obligado
                            number: '2850'
                            city: DF
                            state: DF
                            country: per
                            zipCode: '27000000'
                            comment: ''
                          birthdate: '2000-01-01'
                          nationality: Argentinian
                          userReference: nuvei.peru
                        payer:
                          type: INDIVIDUAL
                          name: peru
                          lastName: peru
                          document:
                            type: dni
                            id: '70182175'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '351'
                            number: '2102892'
                          address:
                            street: Vuelta de Obligado
                            number: '2850'
                            city: DF
                            state: DF
                            country: per
                            zipCode: '27000000'
                            comment: ''
                          birthdate: 17/09/1958
                          nationality: Argentina
                          userReference: nuvei.peru
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T00:00:00.330'
                          processedDate: '2024-12-01T00:00:15.134'
                        card:
                          token: 6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=
                          bin: '555034'
                          brand: MASTERCARD
                          country: ZA
                          name: Nuvei peru
                          last4: '2224'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 1
                        errors: []
                      - transactionType: PayIn
                        externalId: 10c3da13-2de1-4869-8677-11bd356ec77b
                        internalId: 75db6f6f-ed76-4d6c-ad89-5b6e5d2f9eca
                        paymentMethod:
                          type: CreditCard
                          code: '1600'
                          flow: DIRECT
                        country: MEX
                        currency: MXN
                        amount: 120
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: MXN
                          fxQuote: 1
                          amount: 120
                        payment:
                          currency: MXN
                          fxQuote: 1
                          financingFee: 0
                          amount: 120
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: MXN
                          fxSource: 20.38075
                          fxQuote: 1
                          amount: 1.6
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: Jane
                          lastName: Doe
                          document:
                            type: DNI
                            id: '123456789'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Charruas
                            number: '938'
                            city: Hurlingham
                            state: state
                            country: ARG
                            zipCode: '1688'
                            comment: portero 801
                          birthdate: '1985-10-30'
                          nationality: Argentinian
                          userReference: xyz123
                        payer:
                          type: INDIVIDUAL
                          name: Manuel
                          lastName: Cedro
                          document:
                            type: RFC
                            id: MAL180222MS6
                          email: jane.doe@example.com
                          phone:
                            countryCode: '1'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Siempre viva
                            number: '1234'
                            city: Temperley
                            state: state
                            country: ARG
                            zipCode: '1686'
                            comment: sin comentarios
                          birthdate: 01/01/1990
                          nationality: Ecuatoriano
                          userReference: identificador del pagador
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T00:00:18.580'
                          processedDate: '2024-12-01T00:00:22.313'
                        card:
                          token: Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=
                          bin: '424242'
                          brand: VISA
                          country: GB
                          name: MANUEL CEDRO
                          last4: '4242'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 0
                        errors: []
                      - transactionType: PayIn
                        externalId: 863fd757-5998-4af8-a593-af99483aad02
                        internalId: 66781c69-e158-46fc-bbcb-113eebccb5d0
                        paymentMethod:
                          type: CreditCard
                          code: '6001'
                          flow: DIRECT
                        country: PER
                        currency: PEN
                        amount: 100
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: PEN
                          fxQuote: 1
                          amount: 100
                        payment:
                          currency: PEN
                          fxQuote: 1
                          financingFee: 0
                          amount: 100
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: PEN
                          fxSource: 3.74489878
                          fxQuote: 1
                          amount: 0
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: peru
                          lastName: peru
                          document:
                            type: dni
                            id: '70182175'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Vuelta de Obligado
                            number: '2850'
                            city: DF
                            state: DF
                            country: per
                            zipCode: '27000000'
                            comment: ''
                          birthdate: '2000-01-01'
                          nationality: Argentinian
                          userReference: nuvei.peru
                        payer:
                          type: INDIVIDUAL
                          name: peru
                          lastName: peru
                          document:
                            type: dni
                            id: '70182175'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '351'
                            number: '2102892'
                          address:
                            street: Vuelta de Obligado
                            number: '2850'
                            city: DF
                            state: DF
                            country: per
                            zipCode: '27000000'
                            comment: ''
                          birthdate: 17/09/1958
                          nationality: Argentina
                          userReference: nuvei.peru
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T01:00:00.418'
                          processedDate: '2024-12-01T01:00:15.834'
                        card:
                          token: 6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=
                          bin: '555034'
                          brand: MASTERCARD
                          country: ZA
                          name: Nuvei peru
                          last4: '2224'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 1
                        errors: []
                      - transactionType: PayIn
                        externalId: e26a6e3c-c85f-4991-90d4-8ce4c145d4cd
                        internalId: 7d8f3dad-1cae-481e-b883-ae8514fbbd73
                        paymentMethod:
                          type: CreditCard
                          code: '1600'
                          flow: DIRECT
                        country: MEX
                        currency: MXN
                        amount: 120
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: MXN
                          fxQuote: 1
                          amount: 120
                        payment:
                          currency: MXN
                          fxQuote: 1
                          financingFee: 0
                          amount: 120
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: MXN
                          fxSource: 20.38075
                          fxQuote: 1
                          amount: 1.6
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: Jane
                          lastName: Doe
                          document:
                            type: DNI
                            id: '123456789'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Charruas
                            number: '938'
                            city: Hurlingham
                            state: state
                            country: ARG
                            zipCode: '1688'
                            comment: portero 801
                          birthdate: '1985-10-30'
                          nationality: Argentinian
                          userReference: xyz123
                        payer:
                          type: INDIVIDUAL
                          name: Manuel
                          lastName: Cedro
                          document:
                            type: RFC
                            id: MAL180222MS6
                          email: jane.doe@example.com
                          phone:
                            countryCode: '1'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Siempre viva
                            number: '1234'
                            city: Temperley
                            state: state
                            country: ARG
                            zipCode: '1686'
                            comment: sin comentarios
                          birthdate: 01/01/1990
                          nationality: Ecuatoriano
                          userReference: identificador del pagador
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T01:00:18.859'
                          processedDate: '2024-12-01T01:00:23.374'
                        card:
                          token: Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=
                          bin: '424242'
                          brand: VISA
                          country: GB
                          name: MANUEL CEDRO
                          last4: '4242'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 0
                        errors: []
                      - transactionType: PayIn
                        externalId: a0d248b6-05c6-46f1-b5a5-a4bb99ad2360
                        internalId: 960ba70b-538f-4998-a8f5-656cbd1658ac
                        paymentMethod:
                          type: CreditCard
                          code: '1600'
                          flow: DIRECT
                        country: MEX
                        currency: MXN
                        amount: 80
                        accountNumber: '{{accountNumber}}'
                        confirmed:
                          currency: MXN
                          fxQuote: 1
                          amount: 80
                        payment:
                          currency: MXN
                          fxQuote: 1
                          financingFee: 0
                          amount: 80
                        localTaxes: []
                        withHoldings: []
                        fees:
                          description: Fee
                          currency: MXN
                          fxSource: 20.38075
                          fxQuote: 1
                          amount: 1.4
                          account: '{{accountNumber}}'
                        status:
                          code: '200'
                          description: COMPLETED
                          detail: The payin was credited
                        ticket: null
                        qr: null
                        beneficiary: null
                        merchant:
                          type: INDIVIDUAL
                          name: Jane
                          lastName: Doe
                          document:
                            type: DNI
                            id: '123456789'
                          email: jane.doe@example.com
                          phone:
                            countryCode: '54'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Charruas
                            number: '938'
                            city: Hurlingham
                            state: state
                            country: ARG
                            zipCode: '1688'
                            comment: portero 801
                          birthdate: '1985-10-30'
                          nationality: Argentinian
                          userReference: xyz123
                        payer:
                          type: INDIVIDUAL
                          name: Manuel
                          lastName: Cedro
                          document:
                            type: RFC
                            id: MAL180222MS6
                          email: jane.doe@example.com
                          phone:
                            countryCode: '1'
                            areaCode: '11'
                            number: '98789632'
                          address:
                            street: Siempre viva
                            number: '1234'
                            city: Temperley
                            state: state
                            country: ARG
                            zipCode: '1686'
                            comment: sin comentarios
                          birthdate: 01/01/1990
                          nationality: Ecuatoriano
                          userReference: identificador del pagador
                        intermediaries: []
                        wireInstructions: null
                        date:
                          creationDate: '2024-12-01T01:00:25.592'
                          processedDate: '2024-12-01T01:00:30.084'
                        card:
                          token: ZOh4afARAq16QJmEesJy5ntpCdT0GxawCssFSNQlDAw=
                          bin: '424242'
                          brand: VISA
                          country: GB
                          name: MANUEL CEDRO
                          last4: '4242'
                          expirationYear: 2025
                          expirationMonth: 11
                          installments: 0
                        errors: []
                      - transactionType: PayIn
                        externalId: b0cb420b-3fda-427d-8eea-bb6cc5c51d1b
                        internalId: bcbb2af0-95b1-4dc8-a800-0041b08b8354
                        paymentMethod:
                          type: CreditCard
                          code: '6001'
                          flow: DIRECT
[...]
